View Issue Details

IDProjectCategoryView StatusLast Update
0004444SketcherFeaturepublic2020-10-21 15:42
Reporterchrisb Assigned ToopenBrain  
PrioritylowSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Fixed in Version0.19 
Summary0004444: Make vertical/horizontal constraintsin "Constraint creation continue mode" aware of points
DescriptionCurrently vertical and horizontal constraints can applied to points. However, this is not possible in Constraint creation continue mode, where the constraint is selected before the points.
This should be augmented to behave the same as arbitrary angled distance constraint.
See forum discussion.
Tags#pending-PR
FreeCAD InformationOS: macOS High Sierra (10.13)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.22474 (Git)
Build type: Release
Branch: master
Hash: a44f8ffd427fa9b23b1f00dbf62d66cd152cd774
Python version: 3.8.5
Qt version: 5.12.9
Coin version: 4.0.0
OCC version: 7.4.0
Locale: C/Default (C)

Activities

openBrain

2020-10-16 17:01

developer   ~0014891

PR submitted

guest

2020-10-21 15:30

viewer   ~0014917

Fix committed to master branch.

Related Changesets

FreeCAD: master 537089b3

2020-10-16 16:49:31

0penBrain


Committer: wwmayer Details Diff
[Sketcher] Allow selection of 2 vertices for horizontal/vertical constraint in continuous mode

Fixes 0004444
Affected Issues
0004444
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File

Issue History

Date Modified Username Field Change
2020-09-26 15:40 chrisb New Issue
2020-09-26 15:40 chrisb Status new => assigned
2020-09-26 15:40 chrisb Assigned To => abdullah
2020-10-16 17:01 openBrain Assigned To abdullah => openBrain
2020-10-16 17:01 openBrain Note Added: 0014891
2020-10-16 17:02 openBrain Tag Attached: #pending-PR
2020-10-21 15:30 Changeset attached => FreeCAD master 537089b3
2020-10-21 15:30 guest Note Added: 0014917
2020-10-21 15:42 openBrain Status assigned => closed
2020-10-21 15:42 openBrain Resolution open => fixed
2020-10-21 15:42 openBrain Fixed in Version => 0.19